Bug 117424 - array subscript out of range
Summary: array subscript out of range
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mozplugger (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-03 20:57 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-07 17:33:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-03-03 20:57:29 UTC
Description of problem:

I just tried to compile Fedora Core2 Test1 package mozplugger-1.5.0-1

The compiler said

mozplugger-controller.c(94): warning #175: subscript out of range

The source code is

  points[5]=coord(4,13);

but the declaration of points is

  XPoint points[5];

so points[ 5] doesn't exist.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ngo Than 2004-04-07 17:33:45 UTC
it's fixed in 1.5.2-1


Note You need to log in before you can comment on or make changes to this bug.